Accepted cupsys 1.3.0-2ubuntu1 (source)

Martin Pitt martin.pitt at
Wed Aug 15 08:57:29 BST 2007

 OK: cupsys_1.3.0.orig.tar.gz
 OK: cupsys_1.3.0-2ubuntu1.diff.gz
 OK: cupsys_1.3.0-2ubuntu1.dsc
     -> Component: main Section: net

Hash: SHA1

Format: 1.7
Date: Wed, 15 Aug 2007 09:39:08 +0200
Source: cupsys
Binary: libcupsys2-dev cupsys libcupsys2 libcupsimage2 cupsys-common cupsys-client cupsys-bsd libcupsimage2-dev
Architecture: source
Version: 1.3.0-2ubuntu1
Distribution: gutsy
Urgency: low
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss at>
Changed-By: Martin Pitt <martin.pitt at>
 cupsys     - Common UNIX Printing System(tm) - server
 cupsys-bsd - Common UNIX Printing System(tm) - BSD commands
 cupsys-client - Common UNIX Printing System(tm) - client programs (SysV)
 cupsys-common - Common UNIX Printing System(tm) - common files
 libcupsimage2 - Common UNIX Printing System(tm) - image libs
 libcupsimage2-dev - Common UNIX Printing System(tm) - image development files
 libcupsys2 - Common UNIX Printing System(tm) - libs
 libcupsys2-dev - Common UNIX Printing System(tm) - development files
Closes: 437951
 cupsys (1.3.0-2ubuntu1) gutsy; urgency=low
   * Merge from debian unstable, remaining changes:
     - TearDown (fast shutdown):
       + debian/control: Add sysv-rc (>= 2.86.ds1-14.1ubuntu2) dependency.
       + debian/rules: Use 'multiuser' update-rc.d mode.
     - debian/control, debian/rules: Drop cupsys-dbg package.
     - debian/cupsys.postinst: Various transitions that need to be kept until
       the next LTS:
       + Auto-enable snmp, scsi, and serial backends on upgrade.
       + Revert to single cupsd.conf file.
       + Remove obsolete rc.d links.
     - debian/patches/ubuntu-default-error-policy-retry-job.dpatch: Retry a
       failed job instead of stopping the print queue.
     - debian/patches/ubuntu-disable-browsing.dpatch: Disable browsing by
     - Add AppArmor profile:
       + debian/local/apparmor-profile
       + debian/cupsys.postinst: Reload AA profile on configuration.
 cupsys (1.3.0-2) unstable; urgency=low
   * debian/control: Re-add erroneously dropped adduser dependencies to cupsys
     and cupsys-client. Still needed for addgroup lpadmin. (closes: #437951)
   * debian/control: Add missing libkrb5-dev dependency to libcupsys2-dev.
 cupsys (1.3.0-1) unstable; urgency=low
   [ Till Kamppeter ]
   * New upstream release (first release of 1.3.x generation)
   * 90_include_krb5_h_in_job_h.dpatch: Added a missing "#include <krb5.h>" to
     the scheduler/job.h file (upstream bug).
   * Regenerated patches: 44_fixconfdirperms.dpatch, 47_pid.dpatch,
   * Removed patches (fixed upstream): 53_usr_share_ppd_support.dpatch,
     55_ppd_okidata_name.dpatch, 68_edit-config.dpatch
   * debian/control: Added "libkrb5-dev", and "libavahi-compat-libdnssd-dev"
     to the build dependencies, so that the new Kerberos and DNS Service
     Discovery support of CUPS gets compiled.
   * debian/libcupsys2-dev.files: Removed /usr/include/cups/md5.h This file is
     not provided any more by CUPS
   * debian/cupsys.install, debian/cupsys-client.files: Added new files.
   * debian/rules: Added more files to "clean::" rule which upstream has
     forgotten in "make clean".
   [ Martin Pitt ]
   * Bump library shlibs to >= 1.3.0.
   * Drop 02_configure.dpatch, upstream configure does not set rpath any more
     for prefix=/usr.
   * Drop 54_cups-config_modeldir.dpatch, --modeldir was never actually used
     anywhere and not documented, and LSB prescribes /usr/share/ppd/ anyway.
   * Drop 56_dirsvc.dpatch, which was fixed upstream long ago and disabled in
     00list anyway since then.
   * Drop 67_printcap.dpatch: /var/run/cups/printcap is now the implicit
     default upstream.
   * debian/patches: Drop number prefixes from patches. The enumeration is not
     useful at all any more since it both got inflated and is not sorted by any
     category. With dpatch we also do not need number prefixes.
 5bcc8983458de3a44d132418ba88ce9b 1214 net optional cupsys_1.3.0-2ubuntu1.dsc
 e8e47d962f1a5b655f3086900a8eefa6 114057 net optional cupsys_1.3.0-2ubuntu1.diff.gz
Original-Maintainer: Debian CUPS Maintainers <pkg-cups-devel at>

Version: GnuPG v1.4.6 (GNU/Linux)


More information about the gutsy-changes mailing list